> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/gml-overview/gml-examples.md).

# GML examples

## GML examples of feature types and their attributes <a href="#id-7.2-gml-examples-of-feature-types-and-th" id="id-7.2-gml-examples-of-feature-types-and-th"></a>

This sub-section provides examples of how the feature types in the product are presented in GML format.

### TopographicPoint <a href="#id-7.2.1-topographicpoint" id="id-7.2.1-topographicpoint"></a>

```xml
<osgb:topographicMember>
<osgb:TopographicPoint fid='osgb5000005118992763'>
<osgb:featureCode>10085</osgb:featureCode>
<osgb:version>1</osgb:version>
<osgb:versionDate>2014-01-15</osgb:versionDate>
<osgb:theme>Water</osgb:theme>
<osgb:accuracyOfPosition>8.0m</osgb:accuracyOfPosition>
<osgb:changeHistory>
<osgb:changeDate>2013-11-12</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>Inland Water</osgb:descriptiveGroup>
<osgb:descriptiveTerm>Culvert</osgb:descriptiveTerm>
<osgb:make>Manmade</osgb:make>
<osgb:physicalLevel>50</osgb:physicalLevel>
<osgb:point>
<gml:Point srsName='osgb:BNG'>
<gml:coordinates>451492.790,1204378.760</gml:coordinates>
</gml:Point>
</osgb:point>
</osgb:TopographicPoint>
</osgb:topographicMember>
```

### TopographicLine <a href="#id-7.2.2-topographicline" id="id-7.2.2-topographicline"></a>

```xml
<osgb:topographicMember>
<osgb:TopographicLine fid='osgb1000000042088587'>
<osgb:featureCode>10046</osgb:featureCode>
<osgb:version>2</osgb:version>
<osgb:versionDate>2014-01-15</osgb:versionDate>
<osgb:theme>Land</osgb:theme>
<osgb:accuracyOfPosition>8.0m</osgb:accuracyOfPosition>
<osgb:changeHistory>
<osgb:changeDate>2008-10-30</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2010-03-15</osgb:changeDate>
<osgb:reasonForChange>Restructured</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2013-12-06</osgb:changeDate>
<osgb:reasonForChange>Modified</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>General Feature</osgb:descriptiveGroup>
<osgb:descriptiveTerm>Overhead Construction</osgb:descriptiveTerm>
<osgb:nonBoundingLine>true</osgb:nonBoundingLine>
<osgb:make>Manmade</osgb:make>
<osgb:physicalLevel>51</osgb:physicalLevel>
<osgb:polyline>
<gml:LineString srsName='osgb:BNG'>
<gml:coordinates>454659.199,1201041.044 454727.470,1201075.210</gml:coordinates>
</gml:LineString>
</osgb:polyline>
</osgb:TopographicLine>
</osgb:topographicMember>
```

### TopographicArea <a href="#id-7.2.3-topographicarea" id="id-7.2.3-topographicarea"></a>

```xml
<osgb:topographicMember>
<osgb:TopographicArea fid='osgb1000000042007204'>
<osgb:featureCode>10203</osgb:featureCode>
<osgb:version>3</osgb:version>
<osgb:versionDate>2008-11-18</osgb:versionDate>
<osgb:theme>Water</osgb:theme>
<osgb:calculatedAreaValue>2.085024</osgb:calculatedAreaValue>
<osgb:changeHistory>
<osgb:changeDate>2001-02-17</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2005-11-10</osgb:changeDate>
<osgb:reasonForChange>Attributes</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2008-11-13</osgb:changeDate>
<osgb:reasonForChange>Attributes</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>Tidal Water</osgb:descriptiveGroup>
<osgb:descriptiveTerm>Foreshore</osgb:descriptiveTerm>
<osgb:make>Natural</osgb:make>
<osgb:physicalLevel>50</osgb:physicalLevel>
<osgb:polygon>
<gml:Polygon srsName='osgb:BNG'>
<gml:outerBoundaryIs>
<gml:LinearRing>
<gml:coordinates>454554.900,1202300.000 454554.000,1202300.100 454553.300,1202299.500 454553.400,1202299.000 454553.800,1202298.400
454554.600,1202298.500 454554.900,1202299.200 454554.900,1202300.000</gml:coordinates>
</gml:LinearRing>
</gml:outerBoundaryIs>
</gml:Polygon>
</osgb:polygon>
</osgb:TopographicArea>
</osgb:topographicMember>
```

### BoundaryLine <a href="#id-7.2.4-boundaryline" id="id-7.2.4-boundaryline"></a>

```xml
<osgb:boundaryMember>
<osgb:BoundaryLine fid='osgb1000001554000051'>
<osgb:featureCode>10131</osgb:featureCode>
<osgb:version>4</osgb:version>
<osgb:versionDate>2008-04-20</osgb:versionDate>
<osgb:theme>Administrative Boundaries</osgb:theme>
<osgb:accuracyOfPosition>2.5m</osgb:accuracyOfPosition>
<osgb:changeHistory>
<osgb:changeDate>1999-05-12</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2002-06-26</osgb:changeDate>
<osgb:reasonForChange>Attributes</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2005-11-10</osgb:changeDate>
<osgb:reasonForChange>Attributes</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2008-04-16</osgb:changeDate>
<osgb:reasonForChange>Reclassified</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>Political Or Administrative</osgb:descriptiveGroup>
<osgb:descriptiveTerm>District</osgb:descriptiveTerm>
<osgb:physicalLevel>50</osgb:physicalLevel>
<osgb:physicalPresence>Boundary</osgb:physicalPresence>
<osgb:polyline>
<gml:LineString srsName='osgb:BNG'>
<gml:coordinates>454331.400,1202522.200 454332.400,1202517.400</gml:coordinates>
</gml:LineString>
</osgb:polyline>
</osgb:BoundaryLine>
</osgb:boundaryMember>
```

### CartographicSymbol <a href="#id-7.2.5-cartographicsymbol" id="id-7.2.5-cartographicsymbol"></a>

```xml
<osgb:cartographicMember>
<osgb:CartographicSymbol fid='osgb1000001545000121'>
<osgb:featureCode>10082</osgb:featureCode>
<osgb:version>2</osgb:version>
<osgb:versionDate>2006-03-01</osgb:versionDate>
<osgb:theme>Water</osgb:theme>
<osgb:changeHistory>
<osgb:changeDate>1994-02-14</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:changeHistory>
<osgb:changeDate>2005-11-10</osgb:changeDate>
<osgb:reasonForChange>Position</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>Inland Water</osgb:descriptiveGroup>
<osgb:descriptiveTerm>Direction Of Flow</osgb:descriptiveTerm>
<osgb:orientation>3303</osgb:orientation>
<osgb:physicalLevel>50</osgb:physicalLevel>
<osgb:physicalPresence>Indicator</osgb:physicalPresence>
<osgb:point>
<gml:Point srsName='osgb:BNG'>
<gml:coordinates>452648.430,1204142.340</gml:coordinates>
</gml:Point>
</osgb:point>
</osgb:CartographicSymbol>
</osgb:cartographicMember>
```

### CartographicText <a href="#id-7.2.6-cartographictext" id="id-7.2.6-cartographictext"></a>

```xml
<osgb:cartographicMember>
<osgb:CartographicText fid='osgb1000001545006542'>
<osgb:featureCode>10090</osgb:featureCode>
<osgb:version>2</osgb:version>
<osgb:versionDate>2002-07-13</osgb:versionDate>
<osgb:theme>Water</osgb:theme>
<osgb:anchorPoint>
<gml:Point srsName='osgb:BNG'>
<gml:coordinates>450063.500,1203882.000</gml:coordinates>
</gml:Point>
</osgb:anchorPoint>
<osgb:changeHistory>
<osgb:changeDate>1994-11-25</osgb:changeDate>
<osgb:reasonForChange>New</osgb:reasonForChange>
</osgb:changeHistory>
<osgb:descriptiveGroup>Inland Water</osgb:descriptiveGroup>
<osgb:make>Natural</osgb:make>
<osgb:physicalLevel>50</osgb:physicalLevel>
<osgb:textRendering>
<osgb:anchorPosition>4</osgb:anchorPosition>
<osgb:font>1</osgb:font>
<osgb:height>11</osgb:height>
<osgb:orientation>0</osgb:orientation>
</osgb:textRendering>
<osgb:textString>Ponds</osgb:textString>
</osgb:CartographicText>
</osgb:cartographicMember>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/gml-overview/gml-examples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
